| OpenSubdiv

Loading...
Searching...
No Matches
Limits Struct Reference

Simple struct with limits related to topology. More...

`#include <limits.h>`

## Static Public Member Functions
static int | MaxValence ()
| Returns the maximum allowable valence for a vertex.
static int | MaxFaceSize ()
| Returns the maximum allowable size for a face (number of vertices)

## Detailed Description

Simple struct with limits related to topology.

Definition at line 40 of file limits.h.

## Member Function Documentation

## ◆ MaxFaceSize()

int MaxFaceSize | ( |  | ) |
| inline static

Returns the maximum allowable size for a face (number of vertices)

Definition at line 46 of file limits.h.

## ◆ MaxValence()

int MaxValence | ( |  | ) |
| inline static

Returns the maximum allowable valence for a vertex.

Definition at line 42 of file limits.h.

The documentation for this struct was generated from the following file:

- opensubdiv/bfr/limits.h